<template>
  <div>
    <carousel class="black" style="margin:0px;padding:0px;"></carousel>
    <div class="row center">
      <!-- Category Filter -->
      <h1>Productos</h1>
      <div class="col s3">
        <h2>Filtros</h2>
        <!-- Filtro -->
        <product-filter :filters="filters"></product-filter>
      </div>
      <div class="col s9">
        <template v-for="(product, index) in products">
          <div :key="index" class="col s12 m6">
            <div class="card grey lighten-2">
              <div class="card-image">
                <img class="max-height" :src="product.colorImages[0].url" />
              </div>
              <div class="card-title black-text">{{product.name}}</div>
              <div class="card-content">
                <div class="row">
                  <template v-for="(img, index) in product.colorImages">
                    <img :key="index" :src="img.icon_image" class="icon-image" />
                  </template>
                </div>
                <div class="row valign-wrapper">
                  <div class="col s6">
                    <b style="font-size:15px;">Precio:</b>
                    <span style="font-size:20px;">{{product.price}}</span>
                  </div>
                  <div class="col s6">
                    <a class="waves-effect waves-light black btn">Agregar al Carrito</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </template>
      </div>
    </div>
  </div>
</template>
<script>
import carousel from "./carousel.vue";
import productFilter from "./productFilter";
export default {
  components: {
    carousel,
    productFilter
  },
  data() {
    return {
      filters: [
        {
          type: "Category",
          selected: false,
          last: false,
          subCategories: [
            {
              type: "Bicicletas",
              selected: false,
              last: false,
              subCategories: [
                {
                  type: "Referencia",
                  selected: false,
                  last: false,
                  subCategories: [
                    { type: "Sirius", selected: false, last: true },
                    { type: "Tucana", selected: false, last: true },
                    { type: "Sagitta", selected: false, last: true },
                    { type: "Corvus", selected: false, last: true },
                    { type: "Cetus", selected: false, last: true }
                  ]
                },
                {
                  type: "Rin",
                  selected: false,
                  last: false,
                  subCategories: [
                    { type: '27.5"', selected: false, last: true },
                    { type: '29"', selected: false, last: true }
                  ]
                },
                {
                  type: "Talla",
                  selected: false,
                  last: false,
                  subCategories: [
                    { type: "XS", selected: false, last: true },
                    { type: "S", selected: false, last: true },
                    { type: "M", selected: false, last: true },
                    { type: "L", selected: false, last: true }
                  ]
                },
                {
                  type: "Velocidades",
                  selected: false,
                  last: false,
                  subCategories: [
                    { type: "8", selected: false, last: true },
                    { type: "9", selected: false, last: true },
                    { type: "10", selected: false, last: true },
                    { type: "11", selected: false, last: true }
                  ]
                }
              ]
            },
            {
              type: "Accesorios",
              selected: false,
              last: false,
              subCategories: [
                {
                  type: "Cascos",
                  selected: false,
                  last: false,
                  subCategories: [
                    { type: "Crater", selected: false, last: true },
                    { type: "Fenix", selected: false, last: true },
                    { type: "Sirius", selected: false, last: true }
                  ]
                }
              ]
            },
            {
              type: "Componentes",
              selected: false,
              last: false,
              subCategories: [
                { type: "Llantas", selected: false, last: true },
                { type: "Bielas", selected: false, last: true },
                { type: "Otro...", selected: false, last: true }
              ]
            }
          ]
        },
        {
          type: "Precio",
          selected: false,
          last: false,
          subCategories: [
            { type: "$0 - $999.999", selected: false, last: true },
            { type: "$1'000.000 - $1'999.999", selected: false, last: true },
            { type: "$2'000.000 - $2'999.999", selected: false, last: true }
          ]
        }
      ],
      currentImage:
        "https://registrooptimus.com/imagenes/Tucana-negro-amarilla/yellow.jpg",
      products: [
        {
          category: "bicicletas",
          name: "Bicicleta Optimus Tucana",
          price: "$ 1'550.000",
          colorImages: [
            {
              value: "amarillo",
              url:
                "https://registrooptimus.com/imagenes/Tucana-negro-amarilla/yellow.jpg",
              icon_image: "./media/img/colorSelect/amarillo.png"
            },
            {
              value: "azul_naranja",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/6_1000x.jpg?v=1555799304",
              icon_image: "./media/img/colorSelect/azul_naranja.png"
            },
            {
              value: "azul",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/Bicicleta-Optimus-Tucana-2018-color-azul-bicicleta-todo-terreno-mtb-bicicleta-de-montana-6_1000x.jpg?v=1555799306",
              icon_image: "./media/img/colorSelect/azul.png"
            },
            {
              value: "blanco",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/2_bc8e2bfe-df4b-407b-b111-55c9300d5db6_1000x.jpg?v=1555799308",
              icon_image: "./media/img/colorSelect/blanco.png"
            },
            {
              value: "morado",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/ornn_1000x.jpg?v=1566998781",
              icon_image: "./media/img/colorSelect/morado.png"
            },
            {
              value: "naranja",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/01_1000x.jpg?v=1555799310",
              icon_image: "./media/img/colorSelect/naranja.png"
            },
            {
              value: "rojo",
              url:
                "https://registrooptimus.com/imagenes/Tucana-negro-roja/red.jpg",
              icon_image: "./media/img/colorSelect/rojo.png"
            },
            {
              value: "verde",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/MG_0801_1000x.jpg?v=1555799313",
              icon_image: "./media/img/colorSelect/verde.png"
            }
          ]
        },
        {
          category: "accesorios",
          name: "Casco Optimus Crater",
          price: "$ 60.000",
          colorImages: [
            {
              value: "amarillo",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/casco_mtb-crater-amarillo---vista-1_1000x.png?v=1566080464",
              icon_image: "./media/img/colorSelect/amarillo.png"
            },
            {
              value: "rojo",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/casco-mtb-crater-negro-rojo-vista2_1000x.png?v=1566080464",
              icon_image: "./media/img/colorSelect/rojo.png"
            },
            {
              value: "negro",
              url:
                "https://cdn.shopify.com/s/files/1/2568/3124/products/casco-mtb-crater-negro-vista-1_1000x.png?v=1566080464",
              icon_image: "./media/img/colorSelect/negro.png"
            }
          ]
        }
      ]
    };
  },
  methods: {
    changeSelect(filtro) {
      console.log(filtro.type);
      this.filters.forEach(filter => {
        if (filtro.type == filter.type) {
          filter.selected = !filter.selected;
        } else {
          filter.subCategories.forEach(subCat => {
            if (filtro.type == subCat.type) {
              subCat.selected = !subCat.selected;
            }
          });
        }
      });
    }
  }
};
</script>
<style scoped>
.max-height {
  object-fit: cover;
}
.icon-image {
  max-width: 25px;
  margin: 2px;
}
.card-content {
  padding: 10px;
}
.row {
  margin-bottom: 10px;
}
.mostrar {
  display: block;
  -webkit-transition-delay: 100ms;
  -moz-transition-delay: 100ms;
  transition: 100ms;
}
.collapsible-body {
  padding: 10px;
  padding-left: 0px;
  padding-right: 0px;
}
</style>